package com.project.zcustom.domain.addional;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)

@JsonInclude(JsonInclude.Include.NON_NULL)
public class LargeAssetDirs extends CustomBaseEntity {
    /**
     * id
     */
    @TableId(value = "id")

    private Long id;

    /**
     * 地区编码（后勤资产）
     */

    private String appCode;

    /**
     * 小类名称
     */

    private String categoryName;

    /**
     * 小类资产数量
     */

    private Long assetNum;

}
