package com.project.zcustom.domain.addional;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;

import java.util.Date;

@Data
@TableName("large_plat_public_car_change_detail")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class LargeCarDetail extends CustomBaseEntity {
    @JSONField(name = "ID")
    private Long id;

    /**
     * 单位名称
     */
    @TableField(exist = false)
    private String appName;

    /**
     * 所属单位编码
     */

    @JSONField(name = "orgCode")
    private String appEncode;

    /**
     * 车牌号
     */

    @JSONField(name = "vehicleNumber")
    private String vehicleNum;

    /**
     * 车辆用途
     */


    private String useProperty;

    /**
     * 资产卡号
     */


    private String assetsCard;

    /**
     * 配置日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")


    private Date orgDate;

    /**
     * 处置日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")


    private Date handleDate;

    /**
     * 处置原因
     */


    private String handleReason;

    /**
     * 类别（0:增加; 1:减少）
     */


    private Integer flag;
}
