package com.project.zcustom.domain.addional;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;

@Data
@TableName("large_plat_public_car_rank_person")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class LargeCarRank extends CustomBaseEntity {
    private Long id;

    /**
     * 单位名称
     */
    @JSONField(name = "orgName")
    private String orgName;

    /**
     * 派车单总数
     */
    private Long pcdCount;

    /**
     * 车牌号
     */
    @JSONField(name = "vehicleNumber")
    private String vechileNum;

    /**
     * 单位编码
     */
    @JSONField(name = "orgCode")
    private String appEncode;

}
