package com.project.zcustom.domain.smart;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 菜谱数据对象 plat_green_foods
 *
 * @author change
 * @date 2024-11-01
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_green_foods")
public class PlatGreenFoods extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 地区编码
     */
    private String appOrg;

    /**
     * 地区名称
     */
    private String appName;

    /**
     * 菜品信息
     */
    private String foodInfo;

}
