package com.project.zcustom.domain.smart;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 能耗信息对象 plat_green_smart_energy
 *
 * @author change
 * @date 2024-10-31
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_green_smart_energy")
public class PlatGreenSmartEnergy extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 地区编码
     */
    private String appOrg;

    /**
     * 食堂名称
     */
    private String canteenName;

    /**
     * 食堂用水量
     */
    private Long waterConsumptionNum;

    /**
     * 食堂用热量
     */
    private Long quantityHeatNum;

    /**
     * 食堂用气量
     */
    private Long gasVolumeNum;

}
