package com.project.zcustom.domain.addional;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;

import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 摄像头对象 large_plat_camera
 *
 * @author change
 * @date 2024-12-30
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_camera")

@JsonInclude(JsonInclude.Include.NON_NULL)
public class LargeCamera extends CustomBaseEntity {

    /**
     * 摄像头id
     */
    @TableId(value = "id")

    private Long id;

    /**
     * 摄像头名称
     */


    private String cameraName;

    /**
     * 摄像头编码
     */


    private String cameraCode;

    /**
     * 所属项目id
     */


    private Long projectId;

    /**
     * 摄像头类型（0代表''，1代表''， 2代表''）
     */


    private String type;

    /**
     * 摄像头状态（0代表启用  2代表禁用）
     */


    private String status;

    /**
     * 在线标志（0代表在线 2代表不在线）
     */


    private String onlineFlag;

    /**
     * 接入标志（0代表接入 2代表未接入）
     */


    private String connectFlag;

}
