package com.project.zcustom.domain.addional;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;

@Data
@TableName("large_plat_public_car")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class LargeUnitRank extends CustomBaseEntity {
    private Long id;

    /**
     * 单位名称
     */
    @TableField(exist = false)
    @JSONField(name = "orgName")
    private String appName;


    /**
     * 单位编码
     */


    private String appEncode;


    /**
     * 公务车总数
     */


    private Long totalCarNum;

    /**
     * 公务车派车次数
     */


    private Long pcdNum;
}
