package com.project.zcustom.service.access;

import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.project.zcustom.controller.core.PageParamVo;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.project.zcustom.domain.access.PlatAccess;

import java.util.List;
import java.util.Map;

/**
 * 便捷出入Service接口
 *
 * @author change
 * @date 2024-10-31
 */
public interface IPlatAccessService extends IService<PlatAccess> {

    /**
     * 其他数据信息
     */
    public Map<String, Object> getOtherData(String appOrg);

    /**
     * 近一周车流量统计
     */
    public Map<String, Object> getCarFlowData(String appOrg);
}
