package com.project.zcustom.service.service.employee;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.employee.PlatEmployeeHealth;

import java.util.List;
import java.util.Map;

/**
 * 员工健康Service接口
 *
 * @author change
 * @date 2024-10-21
 */
public interface IPlatEmployeeHealthService extends IService<PlatEmployeeHealth> {

    /**
     * 健康服务
     */
    public Map<String, Object> getHealthData(String appOrg);


    /**
     * 员工健康分布
     */
    @Deprecated
    public List<Map<String, Object>> getHealthPieData(String appOrg);
}
