package com.project.zcustom.service.service.employee;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.employee.PlatEmployeeType;

import java.util.List;
import java.util.Map;

/**
 * 员工概况Service接口
 *
 * @author change
 * @date 2024-10-21
 */
public interface IPlatEmployeeTypeService extends IService<PlatEmployeeType> { ;

    /**
     * 员工类型
     */
    public List<Map<String, Object>> getEmployeePieData(String appOrg);

    /**
     * 入楼情况
     */
    public Map<String, Object> getEnterBuildData(String appOrg);

    /**
     * 员工年龄分布情况
     */
    public List<Map<String, Object>> getAgePieData(String appOrg);

    /**
     * 近一周人流量统计
     */
    public Map<String, Object> getChartsFlowData(String appOrg);

    /**
     * 员工性别情况
     */
    public Map<String, Object> getSexChartData(String appOrg);


}
